Get a workflow group
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow_group",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>"
},
"relationships": {
"workflow": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"parent": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_group",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"children": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Workflow Groups
Get a workflow group
Returns a specific workflow group by ID
GET
/
api
/
v1
/
workflow_groups
/
{id}
Get a workflow group
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow_group",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>"
},
"relationships": {
"workflow": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"parent": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "workflow_group",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"children": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: workflow, parent, children
Response
workflow group found
Show child attributes
Show child attributes
⌘I